<?php

namespace common\modules\messageTemplate\models;

use Yii;

/**
 * This is the model class for table "message_template".
 *
 * @property integer $id
 * @property string $name
 * @property string $template
 * @property string $created_at
 * @property string $subject
 */
class MessageTemplate extends \common\components\ActiveRecordModel
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'message_template';
    }

    public function name()
    {
        return 'Шаблоны писем';
    }

    public function beforeSave($insert){
        if (!parent::beforeSave($insert))
            return false;

        if ($insert && $this->created_at==null) {
            $datetime = new \DateTime();
            $this->created_at = $datetime->format('Y-m-d H:i:s');
        }
        return true;
    }

    public function behaviors(){
        return [];
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['name', 'template', 'subject'], 'required'],
            [['template'], 'string'],
            [['created_at'], 'safe'],
            [['name', 'subject'], 'string', 'max' => 255],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID шаблона',
            'name' => 'Название',
            'template' => 'Шаблон',
            'created_at' => 'Дата создания',
            'subject' => 'Тема сообщения'
        ];
    }
}
